<!DOCTYPE html>
<html lang="en">

<head>
    <title>Simple Task</title>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
</head>

<body>
    <form onsubmit="event.preventDefault();" id="myForm">
        <input type="text" autocomplete="off" id="name">

        <select id="colors">
  <option value="">Choose...</option>
  <option  id="red">Red</option>
  <option  id="blue">Blue</option>
  <option  id="green">Green</option>
  <option  id="yellow">Yellow</option>
  <option  id="purple">Purple</option>
  <option  id="skyblue">Skyblue</option>
  <option  id="violet">Violet</option>
  <option  id="pink">Pink</option>
</select>

        <button>Submit</button>
    </form>
    <script>
        $(document).ready(function() {
            $("button").click(function() {
                var name = $("#name").val();
                var color = $("#colors").val();

                $('body').append(`<div style="width: 50px;height: 20px;margin: 5px;text-align: center;padding-top: 5px;font-size: '18pt';background-color:${color}">${name}</div>`);

                //Reset form
                $('#myForm').each(function() {
                    this.reset();
                });

                //remove div by clicking it   
                $("div").click(function() {
                    $(this).remove();
                });
            });
        });
    </script>
</body>

</html>